Name:           gdex
Version:	4.12
Release:	1%{?dist}
Summary:        Good Dictionary Examples

Group:          Development/Libraries
License:        GPLv3
URL:            http://www.sketchengine.eu
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python3-devel

%if 0%{?centos} == 7
Requires:       python36-PyYAML
Requires:       python3(manatee)
%else
Requires:       python3-pyyaml
Requires:       (manatee-python3 or manatee-open-python3)
%endif



%description
GDEX (Good Dictionary Examples) is a Bonito module for sorting
concordances according to their suitability as dictionary examples.

%prep
%setup

%build
sed -i "s/<version>/%{version}/g" setup.py
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{python3_sitelib}/*
%{_bindir}/add_gdex


